Subject: tk PPP tool available
From: "Eric Jeschke" <[email-masked]>
Date: Wed, 31 Aug 1994 19:09:42 GMT
Newsgroups: comp.os.linux.announce

Hi!  I have uploaded tkppp, a tcl/tk tool for controlling a PPP
connection, to sunsite.unc.edu

/pub/Linux/Incoming/tkppp-1.0.tar.gz

it should eventually migrate to /pub/Linux/X11/xapps/comm
or someplace similar.

Eric Jeschke
[email-masked] 

Here is the README--------------------------------------------

What is tkppp?
--------------
tkppp is a short wish (tcl/tk) script I wrote to control a PPP
connection on my Linux box.  It presents a small window with
buttons for starting and quitting PPP, a small status message area 
and a quick-glance icon for determining the status of the PPP
link.

What is required?
-----------------
  -  the PPP package, including working ppp-on and ppp-off scripts.
  -  tcl/tk
     [ I'm not sure what versions of tcl and tk I used to make this,
       but there is nothing fancy here, so just try it out. ]

Installation
------------
  -  unzip and untar the package.
  -  edit tkppp and change the paths at the top of the file
     to suit your system.
  -  try it out.  You may need to run tkppp as root IFF your
     own ppp-on and ppp-off scripts require that.
  -  If you like it, you may want to move the files someplace
     more permanent.  I suggest /usr/include/X11/bitmaps for
     the icons and /usr/local/bin or some such for the scripts.
     Be sure to edit tkppp if you move the files around.

What it does
------------
tkppp calls the ppp-on and ppp-off scripts that should be provided
with your PPP distribution.  You will need to get these working or
write your own scripts to initiate and take down the PPP connection.

Once tkppp is running, it wakes up every so often to check whether
the pppd daemon is still running and updates the status display
accordingly.

Distribution
------------
I place this package in the public domain.  I will try to maintain
tkppp somewhat, so please pass along your comments, bug fixes, patches,
enhancements, etc. to [email-masked]

Enjoy!

Eric Jeschke
[email-masked]

-- 
Eric Jeschke                      |          Indiana University
[email-masked]            |     Computer Science Department

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.